Bug 32367 - ProxyPass /foo ! results in error message
Summary: ProxyPass /foo ! results in error message
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy (show other bugs)
Version: 2.1-HEAD
Hardware: All All
: P1 major (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2004-11-23 23:08 UTC by Christian von Roques
Modified: 2005-02-01 09:18 UTC (History)
0 users



Attachments
Patch re-adding support for ProxyPass /foo ! (1.10 KB, patch)
2004-11-23 23:12 UTC, Christian von Roques
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian von Roques 2004-11-23 23:08:52 UTC
ProxyPass /foo !  is documented to prevent mod_proxy from proxying everything
below /foo.
Revision 1.109 of mod_proxy.c rewrote add_pass(), which now complains about !
"ProxyPass Bad syntax for a remote proxy server".

Furthermore, FIX_15207 removed support for detecting and not proxying to '!'.
Comment 1 Christian von Roques 2004-11-23 23:12:04 UTC
Created attachment 13527 [details]
Patch re-adding support for ProxyPass /foo !
Comment 2 Paul Querna 2004-12-30 08:12:13 UTC
ping to a mod_proxy hacker, I am pretty sure this should be committed.

If no one gets to it, I will take a swing this weekend.
Comment 3 Mladen Turk 2005-02-01 18:18:26 UTC
Fixed. Thanks Christian.